From c0dd170faa340d4f10732fd652824ab4b344234b Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 19:08:11 +0800
Subject: [PATCH 05/77] libvirt_usb_hotplug_device: fix incorrect address attr

It's not necessary to pass type_name to a new input xml, so we change it
to 'type' to make a correct address item. We also change the port id, it
should start from 1. Otherwise it will fail to attach with the following
error:
    operation failed: matching input device not found

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/libvirt_usb_hotplug_device.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/libvirt_usb_hotplug_device.py b/libvirt/tests/src/libvirt_usb_hotplug_device.py
index 1e43ea50..c283f5a4 100644
--- a/libvirt/tests/src/libvirt_usb_hotplug_device.py
+++ b/libvirt/tests/src/libvirt_usb_hotplug_device.py
@@ -104,7 +104,7 @@ def run(test, params, env):
                 if result.exit_status:
                     raise process.CmdError(result.command, result)
             else:
-                attributes = {'type_name': "usb", 'bus': "1", 'port': "0"}
+                attributes = {'type': "usb", 'bus': "1", 'port': "1"}
                 if usb_type == "storage":
                     dev_xml = Disk(type_name="file")
                     dev_xml.device = "disk"
-- 
2.23.0

